import pygame
import random
import data

class sound:
    def __init__(self):
        if not pygame.mixer.get_init():
            pygame.mixer.init()
        self.musicChannel = pygame.mixer.Channel(0)

        self.soundChannel = None
        self.soundChannel2 = None
        if pygame.mixer.get_num_channels > 1:
            self.soundChannel = pygame.mixer.Channel(1)
        if pygame.mixer.get_num_channels > 2:
            self.soundChannel2 = pygame.mixer.Channel(2)

        self.tracks = []
        filenames = ["loop1.ogg","loop2.ogg","loop3.ogg","loop4.ogg","loop5.ogg"]
        filenames = [data.filepath(i) for i in filenames]
        for i in filenames:
            sound = pygame.mixer.Sound(i)
            self.tracks.append(sound)
        filename = data.filepath("laser.ogg")
        self.laser = pygame.mixer.Sound(filename)
        filename = data.filepath("duck.wav")
        self.duck = pygame.mixer.Sound(filename)
            
    def playTrack(self,i):
        if 0 <= i< len(self.tracks):
            track = self.tracks[i]
            self.musicChannel.play(track, -1)

    def playRandom(self):
        if self.tracks:
            track = random.choice(self.tracks)
            self.musicChannel.play(track, -1)

    def laserSound(self):
        """Play the laser sound"""
        if self.soundChannel:
            self.soundChannel.play(self.laser)

    def duckSound(self):
        """Play the laser sound"""
        if self.soundChannel2:
            self.soundChannel2.play(self.duck)
            
